List an auction's winners
One row per sold lot, in lot order, with who won it and whether they have paid and collected. Needs read on Fundraising.
GET
https://{organization}.rescueconsole.com
/
api
/
fundraising
/
auctions
/
{id}
/
winners
List an auction's winners
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"lot_number": "<string>",
"winning_bid_cents": 123,
"fair_market_value_cents": 123,
"paid_at": "<string>",
"collected_at": "<string>",
"winner": {
"bidder_id": "<string>",
"person_id": "<string>",
"paddle_number": 123,
"name": "<string>",
"email": "<string>"
},
"fulfillment": "pickup",
"ready_at": "<string>",
"shipped_at": "<string>",
"tracking": "<string>",
"bought_now": true,
"second_chance": {
"status": "offered",
"price_cents": 123,
"offered_at": "<string>",
"expires_at": "<string>",
"decided_at": "<string>",
"paddle_number": 123,
"name": "<string>"
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
Query Parameters
⌘I
List an auction's winners
curl --request GET \
--url https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/fundraising/auctions/{id}/winners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"lot_number": "<string>",
"winning_bid_cents": 123,
"fair_market_value_cents": 123,
"paid_at": "<string>",
"collected_at": "<string>",
"winner": {
"bidder_id": "<string>",
"person_id": "<string>",
"paddle_number": 123,
"name": "<string>",
"email": "<string>"
},
"fulfillment": "pickup",
"ready_at": "<string>",
"shipped_at": "<string>",
"tracking": "<string>",
"bought_now": true,
"second_chance": {
"status": "offered",
"price_cents": 123,
"offered_at": "<string>",
"expires_at": "<string>",
"decided_at": "<string>",
"paddle_number": 123,
"name": "<string>"
}
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
